Skip to main content
Infrastructure/OTA Versions & Policies

GetSilencePolicy

Retrieve the current OTA silence policy configuration

GET/api/v1/admin/ota/silence-policy

Operation ID

GetSilencePolicy

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • autoSilenceOnUpgrade
    Boolean

    Whether alert silence windows are automatically created during upgrades

    Example: true

  • bufferMinutes
    Integer

    Extra buffer time in minutes added before and after the upgrade window

    Example: 5

  • suppressedAlertTypes
    List

    Suppressed alert types

    Example: item1,item2

  • notifyOncallBeforeSilence
    Boolean

    Whether the on-call team is notified before a silence is activated

    Example: true